Bug 173741 - Gecko with Japanese IM lockup after recent updates
Gecko with Japanese IM lockup after recent updates
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2005-11-20 04:54 EST by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdb(1) backtrace of the crash (5.32 KB, text/plain)
2005-11-20 04:55 EST, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2005-11-20 04:54:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Galeon/1.3.21

Description of problem:
This bugreport is very unspecific. Not sure if it is gtk2 related at all.

After some recent updates of FC4, I expect gtk2 updates, both Galeon and Epiphany browsers started lockup like 1x per hour. It gets "fixed" by:

mv /usr/lib/gtk-2.0/2.4.0/immodules/im-ja.so /usr/lib/gtk-2.0/2.4.0/immodules/im-ja.so-DISABLED

My im-ja looks as the binaries of http://im-ja.sourceforge.net/im-ja-1.4-1.i386.rpm with some binary differences although "im-ja.so" is the same. im-ja was working before, though.


Version-Release number of selected component (if applicable):
gtk2-2.6.10-2.fc4.4 im-ja-1.4-1 galeon-1.3.21-14.fc4 epiphany-1.6.5-2 mozilla-1.7.12-1.5.1

How reproducible:

Steps to Reproduce:
1. Install im-ja.
2. Setup Japanese input methods environment (do not remember how...).
3. Use Galeon or Epiphany for one hour.

Actual Results:  Locked up unresponsive (no expose updates) application.

Expected Results:  Application lovely crashing the Mozilla way.

Additional info:

Currently I disabled Japanese for Mozilla, I can investigate something more if some suggestions appear.
Comment 1 Jan Kratochvil 2005-11-20 04:55:32 EST
Created attachment 121273 [details]
gdb(1) backtrace of the crash
Comment 2 Jens Petersen 2005-11-29 02:34:22 EST
im-ja isn't part of Fedora Core so this is not really a FC bug...

Can you try rebuild im-ja against the latest gtk2 to see if that helps?
Comment 3 Jens Petersen 2005-11-29 02:40:59 EST
Alternatively you may want to install scim-anthy or scim-skk from Fedora Extras
for Japanese input, or uim if you find it too heavy.
Comment 4 John Thacker 2006-05-04 21:21:37 EDT
Closing this because im-ja isn't part of FC or Fedora Extras, so it's
hard to figure out what the problem is.  If you still have it, it should
probably be filed upstream with either im-ja or with GNOME.

Note You need to log in before you can comment on or make changes to this bug.